<?php
/* * ***********************************************************************
 * AcyMailing App for Watchful
 * Copyright (c) 2006-2013 Anything Digital & Inetis
 * ************************************************************************
 * Watchful.li is a web site monitoring and security service.
 * 
 * Although Watchful.li is a paid service, this program is free software;
 * you can redistribute it and/or modify it under the terms of the GNU 
 * General Public License as published by the Free Software Foundation; 
 * either version 2 of the License, or (at your option) any later version.
 *
 * This header must not be removed. Additional contributions/changes
 * may be added to this header as long as no information is deleted.
 * ************************************************************************
 * Get the latest version of this program at: https://watchful.li
 * *********************************************************************** */

// no direct access
defined('_JEXEC') or die();

require_once(JPATH_ADMINISTRATOR . '/components/com_watchfulli/classes/apps.php');
// We extend a base class to pass additional parameters in the language strings
// It will probably be included in the client but we also put it here so the app will work
// even for older version of the Watchful client.
class LessAppAlert extends AppAlert
{
    public function LessAppAlert($level, $message)
    {
        if ($level != null && $message != null)
        {
            $this->level = $level;
            $this->message = $message;
        }
    }

}
class plgWatchfulliAppsLessApp extends watchfulliApps
{

    public function createAppAlert($level, $message)
    {
        $alert = new LessAppAlert($level, $message);
        $this->addAlert($alert);
    }

    public function appMainProgram($oldValuesSerialized = null)
    {
        $this->setName("lessApp");
        $this->setDescription("Less app to check if the plugin is running.");
		$oldValue = $this->readExAppValue($oldValuesSerialized);

        // Stop if less is not installed
        if (!file_exists(JPATH_SITE . '/plugins/system/less/less.php'))
        {
            return $this;
        }

		// First Time the app is triggered
		if ($oldValue == null)
		{
			$this->createAppValue('lessApp', 99);
		}
		
		// Stop if plugin does not exist
		$plugin = JPluginHelper::getPlugin('system', 'less');
		if (!$plugin) 
		{
			$this->updateAppValue('lessApp', 99);
			return $this;
		}
		
		// Get if enabled
		$params = new JRegistry($plugin->params);
		$newValue = $params->get('less_force', 0);
		
		// Set the value
		$this->updateAppValue('lessApp', $newValue);

		// Send alert if enabled now and last time
		if ($newValue == $oldValue && $newValue == 1)
		{
			$this->createAppAlert(1, "Less plugin is enabled");
		}
		
        return $this;
    }

}
